Skip to main content
`Ctrl`+`K`

# PetscRegressorCreate

Creates a `PetscRegressor` object.

## Synopsis

    PetscErrorCode PetscRegressorCreate(MPI_Comm comm, PetscRegressor *newregressor)

Collective

## Input Parameter

- comm - the MPI communicator that will share the `PetscRegressor` object

## Output Parameter

- newregressor - the new `PetscRegressor` object

## See Also

`PetscRegressorFit()`, `PetscRegressorPredict()`, `PetscRegressor`

## Level

beginner

## Location

src/ml/regressor/interface/regressor.c

## Implementations

PetscRegressorCreate_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages